# Project: DeadLockAvoidProject
# Makefile created by Dev-C++ 4.9.9.2

BASEDIR=.
BOOSTDIR = C:/Boost
LIB_DIR = C:/Dev-Cpp/lib
PYTHON_DIR = C:/Python25
CMP_NAME = mingw32
INC_ROOT = ${LIB_DIR}/gcc/${CMP_NAME}/3.4.2
CPP  = g++.exe -Wall -D__DEBUG__
CC   = gcc -D__DEBUG__
WINDRES = windres.exe
RES  = 
OBJ  = ${BASEDIR}/boost_python/DeadLockPythonWrapper.o $(RES)
LINKOBJ  = ${BASEDIR}/boost_python/DeadLockPythonWrapper.o $(RES)
LIBS =  -L"${LIB_DIR}"  -L"${BASEDIR}/lib" -L"${PYTHON_DIR}/libs" -L"${BOOSTDIR}/lib" -l"boost_python-mgw34-1_34" -l"OperatingSystem"  -lgmon -pg  -g3 
INCS =  -I"${INC_ROOT}/include" 
CXXINCS =  -I"${BOOSTDIR}/include/boost_1_34"  -I"${PYTHON_DIR}/include" -I"${BASEDIR}/Scripts" 
BIN  = DeadLock_Python.so
CXXFLAGS = $(CXXINCS)   -ansi -fexceptions -fverbose-asm -fexpensive-optimizations -O3 -pg -g3
CFLAGS = $(INCS)   -ansi -fexceptions -fverbose-asm -fexpensive-optimizations -O3 -pg -g3
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before DeadLock_Python.so all-after

all-before:
	make -f ${BASEDIR}/lib/OperatingSystemLib.mak

clean: clean-custom
	${RM} $(OBJ) 

all-after: clean

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "DeadLock_Python.so" $(LIBS)

${BASEDIR}/boost_python/DeadLockPythonWrapper.o: ${BASEDIR}/cs540/c++/DeadLockPythonWrapper.cpp
	$(CPP) -c ${BASEDIR}/cs540/c++/DeadLockPythonWrapper.cpp -o ${BASEDIR}/boost_python/DeadLockPythonWrapper.o $(CXXFLAGS)
